Subject: bug#6531: patch for rst.el updated (patch format revised)

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Thu, 12 Apr 2012 19:41:44 +0200

Wei-Wei Guo <[email-masked]> writes:

> I updated my patch for rst.el of Emacs 23. Here are the previous changes:
>
>    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=1610
>
> The update including:
>
> - Insert bullet list by 'M-Enter'.
> - Insert number list "#." by 'M-Enter' with any prefix.
> - Insert number list of a specific number of various styles by
> M-Enter" with a number prefix.
> - Insert directive by 'C-c C-d'.
> - Insert directive option by 'C-c C-o'.
> - Remove the dependency on a2r.el. Now all the patched codes are from mine.

I don't use restructured text, so I can't really test this, but looking
at the code, it looks good to me.

The patch no longer applies cleanly, but the conflicts are pretty minor.

Does any rst.el users have an opinion on whether to apply this patch to
trunk or not?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/